# Class DirectoryTreeFormatter

java.lang.Object
net.sf.statcvs.pages.DirectoryTreeFormatter

public class DirectoryTreeFormatter extends Object
Formats a directory and its subdirectories into a tree.

Version:
  $Id: DirectoryTreeFormatter.java,v 1.6 2008/04/02 11:22:14 benoitx Exp $
Author:
  Richard Cyganiak (richard@cyganiak.de)

## Constructor Summary

Constructors
Constructor
Description
`DirectoryTreeFormatter(Directory directory, boolean withRootLinks)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormatted()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryTreeFormatter

public DirectoryTreeFormatter(Directory directory, boolean withRootLinks)

## Method Details

### getFormatted

public String getFormatted()